# Mercedes-Benz Inner Source License 1.0 ("ISL")

Copyright &copy; 2022 Mercedes-Benz Group AG

SPDX-License-Identifier: LicenseRef-MB-ISL-1.0

## 0. Preamble

0.0 This Mercedes-Benz Inner Source License 1.0 succeeds the 
Daimler Inner Source License 1.0 as a later version and is similar in spirit.

0.1 Mercedes-Benz Group AG ("Mercedes-Benz") provides a platform for collaborative
development ("SCR") and use of source code and associated data (e.g. parameters,
documentation) for use by and for purposes of companies of the Mercedes-Benz
Group (§§ 15 et seq. Aktiengesetz, German Stock Companies Act; all such
companies together "Mercedes-Benz Companies"). This also includes the use by
third parties only as far as these are commissioned directly by a
Mercedes-Benz Company with performances for purposes of Mercedes-Benz Companies
("Commissioned Third Parties").

0.2 The SCR and cooperation model is named "Mercedes-Benz
Inner Source Platform". Inner Source
follows the pattern of Open Source software development, is however restricted to
use by and for purposes of Mercedes-Benz Companies due to technical, security,
relevance and majority reasons.

0.3 Source code uploads to repositories ("Projects") on the SCR come
with the expectation that other parties in this cooperation model will
improve such Projects through comments, suggestions, source code to
provide benefits of the collaboration for all involved parties.

## 1. Scope of ISL

1.1 The ISL is an agreement by a Mercedes-Benz Company or a Commissioned Third
Party, which contributes to or uses content on the SCR ("Participant"),
with Mercedes-Benz or another Mercedes-Benz Company also for the direct benefit of
other Mercedes-Benz Companies and Commissioned Third Parties. The direct
benefit of Commissioned Third Parties is limited to grant of rights
according to Section 4.4.

1.2 The ISL applies to Projects uploaded to or available on the SCR,
especially source code and data, that contain this `LICENSE.md` file
incorporating the unmodified ISL or that expressly refer to the ISL e.g.
by stating "Licensed under Mercedes-Benz Inner Source License 1.0" (all
together "Content").

1.3 The ISL applies to any and all handling and use of Content on the
SCR, including copying, integration, making and/or making available
modifications as well as any possible use of Content in foreseen or
unforeseen manner by any means. 

## 2. Consent to and Prevalence of ISL

2.1 The ISL is accepted by a Mercedes-Benz Company by accessing or making use
of Content on the SCR through its employees or vicarious agents.

2.2 The ISL is accepted by a Commissioned Third Party by accessing or
making use of Content on the SCR through its employees or vicarious
agents. Subsidiarily, a user acting for a Commissioned Third Party
accepts the ISL by such action for himself/herself and on behalf of such
Commissioned Third Party.

2.3 Subsidiarily to Sections 2.1 and 2.2, the regulations in this ISL
for rights to Content in Sections 3 and 4 are accepted by and apply
analogously to any party, which contributes Content to the SCR, in
respect of the offer of concession of rights according to Section 3.1
and the scope of rights granted according to Section 4. Such party is
not able to accept an offer in respect of Content (see Section 3.2).

2.4 The ISL is prevalent for any Content on the SCR. Any exception from
the ISL is only valid if and applicable as far as (i) the ISL itself
expressly provides for other stipulations or such is expressly agreed
upon in written form for each individual case and (ii) in any case the
Content to which an exception applies is to be transparently marked as
underlying different stipulations.

2.5 The ISL itself can only be terminated extraordinarily for good cause
by notice in written form by one affected party to the other affected
parties in respect of specific affected Content. Any obligations which
arose before or are caused by such termination remain unaffected. The
stipulations on termination of rights according Section 6 of this ISL remain unaffected.

## 3. Offer of and Consent to Concession of Rights to Content available on SCR

3.1 The Mercedes-Benz Company or Commissioned Third Party which makes Content
available on the SCR thereby offers to any other Mercedes-Benz Company and
Commissioned Third Party the rights to Content described in Section 4.
This applies irrespective of the means of making available Content on
the SCR (e.g. upload, pull request, etc.). Contributions, e.g. through
pull request, to Content and/or Projects under ISL shall state,
"Licensed under Mercedes-Benz Inner Source License 1.0 and any later version
similar in spirit". Such offer is valid as long as such Content or a
modification of such Content is available on the SCR.

3.2 Any Mercedes-Benz Company can accept such offer in respect of Content
available on the SCR by accessing or using such Content in any way by
itself or through Commissioned Third Parties as agreed between the
Mercedes-Benz Company and the Commissioned Third Party in the course of
commissioning. A Commissioned Third Party can accept such offer only
within the scope of its duties commissioned by a Mercedes-Benz Company and
subject to Section 4.4 by accessing or using such Content. Prerequisite
for an acceptance is a valid agreement of the ISL. Any restriction or
reservation for acceptance of the ISL makes acceptance of the offer null
and void.

## 4. Rights granted to Content

4.1 Upon acceptance of an offer to Content,
the rights to such Content are granted directly by the Participant to
the accepting entity non-exclusively.

4.2 The rights to Content encompass any and all possible handling and
use of such Content for any purposes of Mercedes-Benz Companies in any
possible foreseen and unforeseen manner by any means and in any form.
This especially encompasses any reproduction, translation, adaptation,
arrangement and other modifications as well as the reproduction of the
results thereof, any form of distribution of Content or modified Content
including rental. This also encompasses any use without attribution to
any authors of Content as far as legally possible. The rights do not
entitle to remove any copyright information or legal notice unless
otherwise expressly entitled under this ISL and especially Section 5.5.
Any communication of Content to the public is subject to the additional
provisions of Section 5.

4.3 The rights to Content are granted to a Mercedes-Benz Company for the
duration of its membership to the Mercedes-Benz Companies.

4.4 The rights to Content granted to Commissioned Third Parties are
limited to the necessary use of Content for the benefit of performances
for purposes of Mercedes-Benz Companies as far as and as long as such
Commissioned Third Party is commissioned with such performances. For the
avoidance of doubt, rights to Content granted to Commissioned Third
Parties do also terminate with the end of the membership of its
commissioning Mercedes-Benz Company to the Mercedes-Benz Companies.

4.5 Any grant of rights to Content beyond the scope of this Section 4 by
a holder of rights by separate means remains
unaffected. As far as a Commissioned Third Party has granted exclusive
rights to specific content to a Mercedes-Benz Company, this Mercedes-Benz Company
consents to the grant of rights according to this Section 4 by ordering
or allowing the Commissioned Third Party to make such content available
on the SCR. Any grant of rights according to this ISL does not restrict
rights of a Mercedes-Benz Company to Content except as expressly stated in
this Section 4.

4.6 Any rights granted to specific Content according to this Section 4
remain unaffected if the availability of the respective Content on the
SCR ends.

4.7 Any license terms and conditions pertaining to Free and Open Source
Software (FOSS) as parts of Content or parts of Content from third
parties shall prevail over this Section 4. Any obligations of a
Participant in connection with FOSS remain unaffected, especially any
obligations of a Commissioned Third Parties in the context of its
commission.

4.8 Use of licensed Content under a particular version of the ISL, may
continue under the terms of that version of the ISL notwithstanding the
application of a later ISL version to a repository. Any party
contributing to a repository accepts and grants rights to Content
including such later application of a later ISL version in accordance
with Section 3.1.

4.9 Any Participant who makes Content available on a repository in the
SCR entitles the employee responsible for a Project ("Repository Owner")
of such repository to decide on external use of such Content according
to Section 5 in his/her own discretion as far as entitled by its respective
Mercedes-Benz Company.

## 5. External Use of Content

5.1 Any use of Content beyond the internal purposes of Mercedes-Benz Companies
requires the prior express consent of the Repository Owner as far as
entitled by its respective Mercedes-Benz Company in each individual case. Use
beyond internal purposes of Mercedes-Benz Companies in particular applies to
communication of Content to the public, including making available
Content or modified Content to the public ("External Use"), whether on a
restricted basis or by way of open source software. Consent to External
Use is deemed to be given with upload of Content to the SCR, subject to
the following provisions. This prerequisite of consent must not be
circumvented in any way (e.g. by forking a repository).

5.2 The rights to Content granted to Commissioned Third Parties are
limited according to this ISL and do not
include the rights to External Use.

5.3 The External Use in form of publication under an open source license
is limited to the Repository Owner, as far as entitled by the employing
Mercedes-Benz Company.

5.4 For any Content intended for External Use, all current standards,
especially for source code, of Mercedes-Benz Companies apply irrespective of
the ISL. The Repository Owner has to decide on any External Use
including its respective scope in each individual case, taking into
account the foreseen benefit for Mercedes-Benz Companies of External
Use as well as the inevitable loss of confidentiality of externally
disclosed Content. The Repository Owner has to withdraw
consent to External Use if its prerequisites lapse. Any Repository Owner
shall adequately document any decision in respect of External Use of
Content in the repository including the decision and date of decision.

5.5 As long as the necessary consent of the Repository Owner is not
withdrawn, the consent includes the External Use of any later
contributions to Content of such repository, irrespective of the means
of a contribution (e.g. upload, pull request, etc.). Any rights already
granted for External Use of specific Content remain unaffected by a
later withdrawal of necessary consent to External Use.

5.6 Any External Use of Content requires prior relicensing of the
Content, e.g. using a Mercedes-Benz proprietary license. For the avoidance of
doubt, this ISL shall not be used in externally disclosed Content.

5.7 Any Participant has to instruct and entitle its Repository Owners
according to this Section 5.

## 6. Termination of Rights granted to Content

6.1 Any rights to any Content granted to a recipient according to
Section 4 terminate automatically and completely if the recipient of
such rights

(i) declares a termination of the ISL, except within the scope and
under the prerequisites of Section 2.5,

(ii) violates the scope of rights granted by this ISL by acts or
omissions by itself or through third parties, in case of a Mercedes-Benz
Company only after a reasonable cure period expressly set has lapsed
without effect, or

(iii) is a legal entity whose membership to the Mercedes-Benz Companies
ends. In case of termination of membership of a Mercedes-Benz Company to the
Mercedes-Benz Companies "Former Member", the Former Member requires a
separate agreement with the Content providing Mercedes-Benz Companies for
the further use of Content.

For the avoidance of doubt, any rights granted to Content provided by
a Former Member do not terminate by this Section 6.

6.2 Any rights to specific Content granted to a Commissioned Third Party
terminate completely and automatically if the commissioning with the
performances for Mercedes-Benz Companies, which require the use of the
affected Content, ends for whatsoever reason.

6.3 If the ISL is terminated according to Section 2.5, any and all
rights to affected Content granted by the terminating party to the
affected parties terminate completely and automatically.

6.4 If rights to Content are terminated according to Section 6.1(ii) the
recipient may request a license to Content from the offering Mercedes-Benz
Company at a later point in time. It is solely up to the discretion of
the offering Mercedes-Benz Company to grant rights to such party under the ISL
again.

## 7. Prerequisites for Use of Content available on SCR

7.1 It lies completely in the sole responsibility of any recipient of
any Content to assess and verify if and to which extent such Content is
suitable and technically qualified to be used for a particular purpose
and a particular application intended by such recipient. Any contractual
obligations and duties of Commissioned Third Parties and commissioned
Mercedes-Benz Companies (a Mercedes-Benz Company that is commissioned by another
Mercedes-Benz Company), especially based on any contract with a Mercedes-Benz
Company, remain unaffected and are not restricted.

7.2 The user is solely and completely responsible for any use of Content
by itself and on its behalf.

7.3 The user is solely and completely responsible for the fulfillment of
any obligations in connection with Content, especially arising out of
Free and Open Source licenses or licenses for content from third
parties.

## 8. Remuneration, Warranty and Liability

8.1 Content is made available and rights to Content are granted without
remuneration but with respect to Section 0.3.

8.2 Any Content is made available on the SCR "as is" without warranty.
There is no warranty provided by any Participant beyond mandatory
statutory obligations and subject to Section 8.4.

8.3 No Participant assumes any liability exceeding mandatory statutory
obligations (intentional damage; damage to life and/or body; statutory
product liability). This especially applies to any obligations of care
or indemnification in connection with Content.

8.4 Any warranty and liability of Commissioned Third Parties and
commissioned Mercedes-Benz Companies, especially based on any contract with a
Mercedes-Benz Company, remain unaffected and are not restricted by Sections
8.2 and 8.3.

## 9. Confidentiality of Content

9.1 As any Content is made available for purposes of Mercedes-Benz Companies
only, any user of the SCR is obliged to take adequate precautions
against unintended or unauthorized access or disclosure of Content to
third parties.

9.2 Any Content not expressly marked or declared as "public", according
to Mercedes-Benz Information Classification, (by and within Mercedes-Benz Companies)
is to be treated as confidential and business secret of Mercedes-Benz
Companies by any Mercedes-Benz Company and any Commissioned Third Party. Any
such party has to take reasonable precautions, at least as for its own
business secrets, to keep such Content secret and protect it against
unauthorized disclosure to third parties, especially if a third party is
not bound to adequate secrecy. Mercedes-Benz Companies may be entitled to use
such Content for External Use in adherence with Section 5. For the
avoidance of doubt, the SCR function "public" is by no means to be
misunderstood to be such a declaration or marking of "public".

## 10. Final Provisions

10.1 Any party, which accesses, uses or downloads Content, is solely
responsible for adherence to all applicable regulations and requirements
including but not limited to the regulations and requirements in
connection with export control.

10.2 Any later or new version of the ISL must be approved by the FOSS
Center of Competence or any comparable successor thereof.

10.3 Except where otherwise expressly stated, this ISL does not
encompass grant of rights to trade marks, patents or similar
intellectual property rights.

10.4 This ISL constitutes the complete agreement on its subject matter.
Any modifications shall be agreed upon in written form. If any
stipulation of this ISL should be held to be invalid or unenforceable,
this does not affect the remaining stipulations. The affected parties
will substitute an invalid or unenforceable stipulation with a provision
that comes as close as possible to the intent and effect of the affected
stipulation.

10.5 Irrespective the regulations on dispute resolution in intra-group
agreements, the following applies: In case of conflict over
applicability and/or interpretation of the ISL between more than one
Mercedes-Benz Company, the FOSS Center of Competence, or any comparable
successor thereof, shall be addressed by one or the parties jointly to
resolve the conflict through an ultimate decision. In the event that
such ultimate decision cannot be made, the parties adhere to the
regulations on dispute resolution in intra-group agreements if
concluded.

10.6 The ISL is governed by applicable German Law for domestic business
under exclusion of the UN-purchase rules (CISG). Sole legal venue for
any conflict arising in connection with the ISL is the appropriate civil
courts in Stuttgart (Mitte), Germany; mandatory statutory jurisdiction
remains unaffected.

10.7 Any and all Participants on the SCR are obliged to desist from all
practices which may lead to penal liability due to fraud or
embezzlement, insolvency crimes, crimes in violation of competition,
guaranteeing advantages, bribery, acceptance of bribes or other
corruption crimes on the part of persons employed by the respective
Participant or other third parties. In the event of violation of the
above, Mercedes-Benz or the right granting Mercedes-Benz Company has the right to
immediately withdraw from or terminate all legal transactions existing
with the respective Participant and the right to cancel all
negotiations. The above notwithstanding, any Participant is obliged to
adhere to all laws and regulations applicable to both itself and the
commercial relationship with Mercedes-Benz Companies.
