import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import type { Metadata } from "next";

export const metadata: Metadata = {
	title: "Über MYP",
};

export default async function AdminPage() {
	return (
		<Card>
			<CardHeader>
				<CardTitle>Über MYP</CardTitle>
				<CardDescription>
					<i className="italic">MYP &mdash; Manage Your Printer</i>
				</CardDescription>
			</CardHeader>
			<CardContent className="gap-y-2 flex flex-col">
				<p className="max-w-[80ch]">
					<strong>MYP</strong> ist eine Webanwendung zur Reservierung von 3D-Druckern. Sie wurde im Rahmen des
					Abschlussprojektes der Fachinformatiker Ausbildung für Daten- und Prozessanalyse für die Technische
					Berufsausbildung des Mercedes-Benz Werkes Berlin-Marienfelde entwickelt.
				</p>
				<p>
					&copy; 2024{" "}
					<a href="https://linkedin.com/in/torben-haack" target="_blank" rel="noreferrer">
						Torben Haack
					</a>
				</p>
			</CardContent>
		</Card>
	);
}
