import { Button } from "@/components/ui/button";
import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import Link from "next/link";

import type { Metadata } from "next";

export const metadata: Metadata = {
	title: "Systemeinstellungen",
};

export default function AdminPage() {
	return (
		<Card>
			<CardHeader>
				<CardTitle>Einstellungen</CardTitle>
				<CardDescription>Systemeinstellungen</CardDescription>
			</CardHeader>
			<CardContent>
				<div className="flex gap-8 items-center">
					<p>Datenbank herunterladen</p>
					<Button variant="default" asChild>
						<Link href="/admin/settings/download" target="_blank">
							Herunterladen
						</Link>
					</Button>
				</div>
			</CardContent>
		</Card>
	);
}
